#!/bin/bash

set -e

function GetServiceName()
{
    declare servicePrefix=${1}
	declare serviceName=$(ls ./src/services/${servicePrefix}|head -n 1|xargs -d '/' echo)
	$2="${serviceName}"
}

function GetAppName()
{
    declare appName=($(grep -oP '(?<=AppName>)[^<]+' "devops/app.props"))
	$1="${appName}"
}

function GetCiCdSettings()
{
    declare allPublishable=($(grep -oP '(?<=AllPublishable>)[^<]+' "/tmp/cicd.props"))
    declare noPublishable=($(grep -oP '(?<=NoPublishable>)[^<]+' "/tmp/cicd.props"))
}

function GetMajor()
{
    declare major=($(grep -oP '(?<=VersionMajor>)[^<]+' "devops/version.props"))
	$1=${major}
}

function GetVersion()
{
    declare major=($(grep -oP '(?<=VersionMajor>)[^<]+' "devops/version.props"))
	declare minor=($(grep -oP '(?<=VersionMinor>)[^<]+' "devops/version.props"))
	declare patch=($(grep -oP '(?<=VersionPatch>)[^<]+' "devops/version.props"))
	declare version=${major}.${minor}.${patch}
	$1=${version}
}

function GetImageRegistrySettings()
{
    declare host=($(grep -oP '(?<=ImageRegistryHost>)[^<]+' "devops/deploy.props"))
    declare username=($(grep -oP '(?<=ImageUserName>)[^<]+' "devops/deploy.props"))
	$1=${host}
	$2=${username}
}